%global	gem_name	cairo-gobject
%global	gem_soname	cairo_gobject

Name:		rubygem-%{gem_name}
Version:	2.0.2
Release:	1%{?dist}
Summary:	Ruby binding of cairo-gobject

License:	LGPLv2+
URL:		http://ruby-gnome2.sourceforge.jp/
Source0:	https://rubygems.org/gems/%{gem_name}-%{version}.gem
# https://raw.github.com/ruby-gnome2/ruby-gnome2/master/COPYING.LIB
Source1:	COPYING.LIB.cairo-gobject

# MRI Only
Requires:	ruby
BuildRequires:	ruby-devel

BuildRequires:	cairo-gobject-devel
BuildRequires:	rubygems-devel
BuildRequires:	rubygem-cairo-devel
BuildRequires:	rubygem-glib2-devel
BuildRequires:	rubygem(test-unit)
BuildRequires:	rubygem(test-unit-notify)
Requires:	ruby(rubygems)
Requires:	rubygem(cairo) 
Requires:	rubygem(glib2)
Provides:	rubygem(%{gem_name}) = %{version}-%{release}

%description
Ruby/CairoGObject is a Ruby binding of cairo-gobject.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
sed -i -e 's|= 2\.0\.2|>= 2.0.2|' %{gem_name}.gemspec
# ???
sed -i -e \
	'\@gobject-introspection-test-utils@d' \
	test/run-test.rb

# Add license text
install -cpm 644 %{SOURCE1} ./COPYING.LIB
sed -i -e '/files =/s|\("Rakefile",\)|\1 "COPYING.LIB", |' \
	%{gem_name}.gemspec

%build
gem build %{gem_name}.gemspec

export CONFIGURE_ARGS="--with-cflags='%{optflags} -Werror-implicit-function-declaration'"
# depend files does not exist, pkgconfig file doesn't seem
# to be needed for this package
# export CONFIGURE_ARGS="$CONFIGURE_ARGS --with-pkg-config-dir=$(pwd)%%{_libdir}/pkgconfig"
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
	%{buildroot}%{gem_dir}/

# move header files, C extension files to the correct directory
pushd %{buildroot}

mkdir -p .%{gem_extdir_mri}/lib
mv .%{gem_instdir}/lib/%{gem_soname}.so .%{gem_extdir_mri}/lib/
popd

# Cleanups
pushd %{buildroot}
rm -rf .%{gem_instdir}/ext/
rm -f .%{gem_instdir}/extconf.rb
popd

%check
pushd .%{gem_instdir}

sed -i.make -e 's|which make|which nomake|' test/run-test.rb
# 2.0.2 has no test
#ruby -Ilib:test ./test/run-test.rb

popd

%files
%doc	%{gem_instdir}/[A-Z]*
%exclude	%{gem_instdir}/Rakefile
%dir	%{gem_instdir}/
%dir	%{gem_instdir}/lib/
%{gem_instdir}/lib/%{gem_name}.rb

%dir	%{gem_extdir_mri}/
%dir	%{gem_extdir_mri}/lib/
%{gem_extdir_mri}/lib/%{gem_soname}.so

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc	%{gem_docdir}
%exclude	%{gem_instdir}/test/

%changelog
* Sun Jan 19 2014 Mamoru TASAKA <mtasaka@fedoraproject.org> - 2.0.2-1
- Initial package
